org.eclipse.actf.visualization.eval.problem

## Class HighlightTargetId

- java.lang.Object
- - org.eclipse.actf.visualization.eval.problem.HighlightTargetId

    public class HighlightTargetId
    extends Object

The class to store IDs to highlight visualization result

### Constructor Summary

Constructors
Constructor and Description
`HighlightTargetId(int startId, int endId)` Constructor of the class

### Method Summary

Methods
`int` `getEndId()`
`int` `getStartId()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HighlightTargetId

    public HighlightTargetId(int startId,
                     int endId)

Constructor of the class

Parameters:
  `startId` - ID of start position
  `endId` - ID of end position

### Method Detail

#### getEndId

    public int getEndId()

Returns:
  end position ID

#### getStartId

    public int getStartId()

Returns:
  start position ID